import { UniqueID } from "@/core/common/domain";
import { Collection, Result } from "@repo/rdx-utils";
import { Contact } from "../aggregates";

export interface IContactService {
  findContact(transaction?: any): Promise<Result<Collection<Contact>, Error>>;
  findContactById(contactId: UniqueID, transaction?: any): Promise<Result<Contact>>;
}
